Ubuntu is a computer operating system based on the Debian Linux distribution and distributed as free and open source software, using its own desktop environment.

learn more… | top users | synonyms

3
votes
5answers
3k views

Unable to install ECW support on lubuntu 14.04

I try unsuccessfully to install the ECW support (mainly to use ECW file in QGIS 2.2). We attempt to follow and adapt the howto provided by makina-corpus. My first supprise was the repository ...
7
votes
2answers
8k views

ECW for QGIS 1.8 in Ubuntu 12.04

I have followed various online help guides on how to make ecw for QGIS 1.8 work in Ubuntu 12.04. I had it all working in Ubuntu 10.04 but since migration to 12.04 no such luck. Is there a guide that ...
3
votes
4answers
2k views

Cannot fix QGIS after upgrade to Ubuntu 13.04 Raring

I have following problem. After upgrade to 13.04 I had problem with PyQGIS mentioned here. I followed almost all advices described there, finally removed QGIS (had 1.8 Lisboa) and added the Ubuntugis ...
17
votes
9answers
27k views

How to install QGIS on Ubuntu 12.04?

Has anyone had any luck with getting QGIS working on Ubuntu 12.04? I have tried the stable and unstable versions and with not luck. I also get the following: "Some packages could not be installed. ...
13
votes
4answers
760 views

Migrating to Linux from Windows

I am looking at switching over a computer from Windows to Ubuntu. I have been a Windows user all my life and been using GIS for over a decade. I am curious about the migration to Ubuntu. Mostly, ...
1
vote
1answer
277 views

How to activate GRASS GIS 7 plugin in QGIS 2.8?

Apparently, my linux ubuntu setup of QGIS doesn't contain grass gis, although when I initially installed it last week I added grass gis to the command line. Anyway, I typed in once again and installed ...
3
votes
2answers
6k views

How to install PostgreSQL 9.2 with PostGIS 2.0 on Ubuntu 11.10 (or higher)?

I have read this question: Install PostGIS v2 for PostgreSQL v9.2, but it didn't resolve my problem. I added the PostgreSQL backports PPA and installed the postgresql-9.2 package, but there is no ...
2
votes
2answers
788 views

installing older version of QGIS on Ubuntu

I recently installed the latest version of QGIS (2.0) on my UBUNTU 12.04. But am not very satisfied with it. I would like to uninstall it and reinstall QGIS 1.8 v on Ubuntu. Am unable to do so. It ...
1
vote
1answer
3k views

'Couldn't load PyQGIS' after upgrade to Raring Ringtail?

I upgraded my Ubuntu to Raring Ringtail. After that, when starting QGIS I receive a message: Couldn't load PyQGIS. Python support will be disabled. Traceback (most recent call last): File "", ...
5
votes
2answers
2k views

Installing qgis 2.0 and saga 2.1 on ubuntu 13.04

I have been trying to get this working for a few weeks now. I am trying to install QGIS Dufor (2.0.1) and Saga GIS from the Unstable branch of the UbuntuGIS PPA. When I attempt to do this I get the ...
5
votes
1answer
3k views

Install PostGIS on Ubuntu 12.04

I am trying to install PostGIS on Ubuntu 12.04 and I think everything is installed correctly except for postgresql. I followed this post. I get the following error and nothing I do seems to satisfy ...
2
votes
3answers
2k views

Qgis server on Ubuntu Server 14.04: Permission denied

I'm trying to install and configure Qgis Server (2.0.1) on a virtual server with ubuntu 14.04, Apache 2.4.7. After trying to install normally, the server gave me 404 error, so I tried to add ...
14
votes
11answers
13k views

Python GDAL package missing header file when installing via pip

I asked this question on Stack Overflow before I realised this site existed. As this site it more appropriate, I'll ask it here too. I'm trying to install gdal from pip pip install gdal inside a ...
13
votes
6answers
15k views

How can I enable Shapefile GUI Loader in pgadmin3?

I have installed PostgreSQL 9.1 with PostGIS 1.5.3 on Ubuntu 11.10. I also installed pgadmin3 1.14.0-beta1, following this instructions. If I remember correctly, when I installed PostGIS on Windows ...
4
votes
5answers
5k views

Why can't I add most plugins under Ubuntu 12.04?

I loaded QGIS into 12.04 with much trouble but it works. Although I do not seem to be able to load most plugins. I go to fetch plugins and most are not loaded so I try to load some and they will not ...
6
votes
3answers
3k views

PostGIS non functional on Ubuntu 14.04

I am unable to create the PostGIS extension on new databases in Ubuntu 14.04: $ psql pg_testing -c "create extension postgis" ERROR: could not load library ...
4
votes
2answers
143 views

How to correctly install QGIS 2.8.3 with GRASS plugin on Ubuntu 14.04?

I already tried to install QGIS 2.8.3 using the procedure described on: http://www.qgis.org/en/site/forusers/alldownloads.html#debian-ubunt, but grass-plugin do not compare on plugin list! I tried ...
2
votes
2answers
399 views

QGIS install on Ubuntu 14.04 fails

Following the QGIS installation guide I have tried both UbuntuGIS and QGIS stable, but both fail with the error message: The following packages have unmet dependencies: python-qgis : Depends: ...
3
votes
2answers
3k views

Installing QGIS 2.6.1 on Ubuntu 14.04

First I am relatively new to linux particularly Ubuntu 14.04 so if you intend to help me, just indicate the exact commands (step-by-step) that i need to type to get QGIS 2.6.1 Installed I have tried ...
1
vote
1answer
145 views

QGIS and Ubuntu 'browse' dialogue causing crashing

Below is an image of 'the suspect dialogue' in Ubuntu that when you encounter it in QGIS you are most definitely going to crash the application. http://ow.ly/i/ZGNc/original You find this ...
0
votes
1answer
1k views

What can I do with this unzipped GDB file in QGIS?

I have a zip file that I got from the City department of information technology. Unzipped, it is a directory called DOITT_ZIP_CODE_01_29JUL2009.gdb containing a bunch of .gdbtable and .gdbtablex ...
8
votes
4answers
2k views

Cannot add plugins to QGIS on Ubuntu 11.10 Oneric

I have installed Qgis on ubuntu. it works fine but I am not getting option to add new plugins only option to manage plugins is available. Please help
6
votes
1answer
3k views

Problems installing QGIS 2.2 on Ubuntu 14.04

After major upgrade to 14.04 I tried to purge and reinstall QGIS. Unfortunately I get and error (full listing below) and cannot finish clean installation. Information in the log points errors to ...
4
votes
1answer
904 views

“Couldn't load PyQGIS” Error running QGIS on Ubuntu 14.04

I have installed QGis on Ubuntu 14.04 from the QGis stable repository; it went fine with no errors reported. But when I launch QGis I get this huge window with the following message: Couldn't load ...
3
votes
2answers
555 views

Where is QGIS installation path in Ubuntu

I can't find the QGIS installation path in ubuntu 12.10
2
votes
1answer
66 views

QGIS 2.10 with ubuntugis dependecies Grass issues Ubuntu 14.04

I saw in How to correctly install QGIS 2.8.3 with GRASS plugin on Ubuntu 14.04? how to get Qgis 2.10 running from the non ubuntugis repository with grass features but I'm still having problems with ...
14
votes
2answers
3k views

How to create svg symbols that have modifiable fill color, stroke color and stroke width?

I want to create some svg symbols for Qgis using Inkscape, those symbols must have attributes as described in the question. For the last two days, I have been experimenting as instructed by Sourcepole ...
11
votes
2answers
6k views

Spatially enabled Postgres database

I am trying to create a spatially enabled PostGIS database. I am following the PostGIS documentation, http://postgis.net/docs/manual-1.5/ch02.html#id2648455. In the short version, i executed, ...
5
votes
2answers
2k views

Install PostGIS and TIGER Data in Ubuntu 12.04

Could someone write a brief albeit dumbed down idiot's guide to installing postgis and loading national Tiger data on ubuntu? I've tried a few guides, namely, ...
8
votes
2answers
1k views

Building FGDB support for GDAL 1.10 on Ubuntu

Because data.gc.ca is now distributing some of its data in FGDB format (example: Plant Hardiness Zones), I would like to be able to use it with gdal/QGIS. The compile/install is not going as planned, ...
3
votes
1answer
1k views

How to install MapServer and MapCache on Ubuntu 14.04?

I want to install MapServer and MapCache on Ubuntu 14.04. The MapServer installation succeeded but now I'm stuck with the installation of MapCache. This is what I did so far: Install MapServer and ...
5
votes
1answer
3k views

Installing SAGA GIS 2.1

I am using QGIS 1.9 master with Ubuntu 13.04. I tried to use the SAGA hydrology tools in sextante today and it said they did not appeared to be installed. I checked and sure enough SAGA was indeed ...
4
votes
2answers
1k views

Where to download QGIS 2.10?

Is QGIS 2.10 Pisa for Ubuntu/Windows already available?
4
votes
2answers
2k views

Can POSTGIS 2.0 be install with POSTGRES 9.2 on Ubuntu 12.04 OS at the moment?

This question is more about environment set up. At the current moment, March 4th 2013, can POSTGIS2.0 be install with POSTGRES 9.2? I check their website out and to my understanding it is not ...
4
votes
2answers
2k views

Problem loading vector layer (pyQGIS)

I've installed the qgis on ubuntu 12.04 following the instructions on http://hub.qgis.org/projects/quantum-gis/wiki/Download. I am trying to test the Python API and try to do the follwoing from ...
4
votes
1answer
811 views

Advice on benchmarking my Tile Server (Apache2+mod_wsgi)

I'm wondering what advice people have for benchmarking a tile server? Specifically, I'm running a TMS using TileLite, and Vector Tiles using TileStache. Both are running under Ubuntu Server 10.10 / ...
3
votes
1answer
2k views

GeoServer Web Admin Interface: 404 error

I'm working through the OpenGeo workshop and I'm stuck with setting up a GeoServer. When I try to access the Web Admin Interface localhost:8080/geoserver/, Tomcat reports a "HTTP 404 Status" error ...
2
votes
1answer
967 views

QGIS Server Capabilities Response doesn't contain any Layers (Fedora 15 64-bit)

I'm having similar issues running QGIS Mapserver under a fresh install of Fedora 15 (64-bit). The XML response from GetCapabilities will not show the individual layers inside the QGIS project, just ...
1
vote
0answers
198 views

Load MrSID file in QGIS 2.2 on Ubuntu 13.10

Is there a way to do this? I have tried a number of the write ups on this, and it appears that libgdal-mrsid-src no longer exists. Is there any other workaround? USDA NAIP imagery is sent as MrSID.
1
vote
5answers
3k views

Unable to install the PostGIS extension to PostgreSQL on Ubuntu 12.04 LTS

I just installed Linux Ubuntu 12.04 LTS (on a virtual machine). I then successfully installed the PostgreSQL 8.4 database management system. I am now trying to install PostGIS, which is an extension ...
0
votes
1answer
1k views

Can not make qgis.db private copy

I've just installed Qgis 2.0.1 and the above error message appears. Does anyone know how to resolve this problem? I think I need to change the permissions of the relevant folder, but I'm not ...
5
votes
5answers
5k views

ArcGIS Server 10 on Ubuntu or CentOS?

I know Solaris is on the way out with 10.1 I also know that v10 is only supported on 32bit flavours of RedHat & SUSE. What I do want to know, has anyone had any luck installing it on either ...
4
votes
1answer
3k views

How do I get and install the latest version of QGIS in Ubuntu?

I'd like to get the latest 64-bit dev build of QGIS on my Ubuntu setup. How exactly do I go about it? I assume it's some kind of arcane terminal command...
3
votes
1answer
45 views

How to re-compile ogrinfo against gdal used by QGIS?

I just solved a problem with missing libraries blocking use of ogrinfo and ogr2ogr, only to find that these utilities are garbled in one more way: whenever I run any of these, I get following error ...
3
votes
0answers
208 views

SAGA is not working within sextante (QGIS processing installed in Ubuntu)

Recently i decided to start working in Ubuntu (version 14.04). My first step was to add the ubuntugis-unestable repository, and then proceed to install SAGA, GRASS, OTB, QGIS and the bindings between ...
3
votes
2answers
6k views

Installing postgis on postgresql 9.1 not working

I'm trying to install Postgis 2.0 on a perfectly functionig postgresql 9.1.10 database. I installed the package via: richard@srv1:/$ sudo apt-get install postgresql-9.1-postgis postgis Reading ...
2
votes
1answer
81 views

How to repair broken GDAL and PROJ.4 on Ubuntu?

EDIT2: I solved the library problem, but others remain, only vaguely related to that of PROJ.4 library not loaded. I asked a follow-up question for these. My GDAL package and PROJ.4 library are ...
2
votes
1answer
66 views

Why does the QgsFeatureIterator crash in my stand alone script?

I'm trying to write a standalone script in qgis 2.10 in ubuntu I have written a script which crashes when I run from bash but works fine from inside the qgis desktop environment. The script is: ...
2
votes
1answer
235 views

Why is the QGIS 2.2 database tab missing?

I have recently installed QGIS-2.2.0 but the Database tab in the top-menu bar is missing. It looks the main reason is missing libgdal1h library. But when I am installing it, it's removing ...
2
votes
1answer
373 views

Sextante in Qgis 1.9 alpha on Ubuntu can't find saga gis 2.1

I am using Qgis 1.9 on Ubuntu 13.04, Sextante is a core part of qgis now. I am trying to access the SAGA 2.1 libraries through qgis and I keep getting a popup window that says SAGA is not installed. I ...